<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="7437001AEZHLL3UEX093-2025-12-31.xsd#Terveyst_RawMaterialsAndConsumablesUsedAndServicesExpense" xlink:label="Terveyst_RawMaterialsAndConsumablesUsedAndServicesExpense" />
    <loc xlink:type="locator" xlink:href="7437001AEZHLL3UEX093-2025-12-31.xsd#Terveyst_ReserveForInvestedUnrestrictedEquity" xlink:label="Terveyst_ReserveForInvestedUnrestrictedEquity" />
    <loc xlink:type="locator" xlink:href="7437001AEZHLL3UEX093-2025-12-31.xsd#Terveyst_InterestReceivedClassifiedAsFinancingActivities" xlink:label="Terveyst_InterestReceivedClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="7437001AEZHLL3UEX093-2025-12-31.xsd#Terveyst_ReserveForInvestedUnrestrictedEquityMember" xlink:label="Terveyst_ReserveForInvestedUnrestrictedEquityMember" />
    <labelArc xlink:type="arc" xlink:from="Terveyst_RawMaterialsAndConsumablesUsedAndServicesExpense" xlink:to="label_Terveyst_terveystRawMaterialsAndConsumablesUsedAndServicesExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="Terveyst_ReserveForInvestedUnrestrictedEquity" xlink:to="label_Terveyst_terveystReserveForInvestedUnrestrictedEquity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="Terveyst_InterestReceivedClassifiedAsFinancingActivities" xlink:to="label_Terveyst_terveystInterestReceivedClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="Terveyst_ReserveForInvestedUnrestrictedEquityMember" xlink:to="label_Terveyst_ReserveForInvestedUnrestrictedEquityMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_Terveyst_terveystRawMaterialsAndConsumablesUsedAndServicesExpense_Standard" id="Terveyst_terveystRawMaterialsAndConsumablesUsedAndServicesExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Materiaalit ja palvelut</label>
    <label xlink:label="label_Terveyst_terveystReserveForInvestedUnrestrictedEquity_Standard" id="Terveyst_terveystReserveForInvestedUnrestrictedEquity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Sijoitetun vapaan oman pääoman rahasto</label>
    <label xlink:label="label_Terveyst_terveystInterestReceivedClassifiedAsFinancingActivities_Standard" id="Terveyst_terveystInterestReceivedClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Saadut korot ja muut rahoitustuotot</label>
    <label xlink:label="label_Terveyst_ReserveForInvestedUnrestrictedEquityMember" id="Terveyst_ReserveForInvestedUnrestrictedEquityMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Sijoitetun vapaan oman pääoman rahasto</label>
  </labelLink>
</linkbase>